#ifndef WIDGETNODE_HPP_INCLUDED
#define WIDGETNODE_HPP_INCLUDED

#include "Node.hpp"
#include "../JavaClass/Class.hpp"
#include <cstdint>

namespace Internal
{
    class WidgetNode : public Node
    {
        public:
            WidgetNode(const void* Obj);

            WidgetNode() = default;
            WidgetNode(WidgetNode&& Obj) = default;
            WidgetNode(const WidgetNode& Obj) = default;
            WidgetNode& operator=(WidgetNode&& Obj) = default;
            WidgetNode& operator=(const WidgetNode& Obj) = default;

            static Class GetClass();

            std::int32_t GetID() const;
    };
}

#endif // WIDGETNODE_HPP_INCLUDED
